Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ejb
Interface SessionContext

All Superinterfaces:
  EJBContext

public interface SessionContext
extends EJBContext

The SessionContext interface provides access to the runtime session context that the container provides for a session enterprise Bean instance. The container passes the SessionContext interface to an instance after the instance has been created. The session context remains associated with the instance for the lifetime of the instance.

Method Summary
`EJBLocalObject` | `getEJBLocalObject()` Obtain a reference to the EJB local object that is associated with the instance.
`EJBObject` | `getEJBObject()` Obtain a reference to the EJB object that is currently associated with the instance.
`MessageContext` | `getMessageContext()` Obtain a reference to the JAX-RPC MessageContext.

Methods inherited from interface javax.ejb.EJBContext
`getCallerIdentity, getCallerPrincipal, getEJBHome, getEJBLocalHome, getEnvironment, getRollbackOnly, getTimerService, getUserTransaction, isCallerInRole, isCallerInRole, setRollbackOnly`

Method Detail

### getEJBLocalObject

    public EJBLocalObject getEJBLocalObject()
                                     throws java.lang.IllegalStateException

  Obtain a reference to the EJB local object that is associated with the instance.

  An instance of a session enterprise Bean can call this method at anytime between the ejbCreate() and ejbRemove() methods, including from within the ejbCreate() and ejbRemove() methods.

  An instance can use this method, for example, when it wants to pass a reference to itself in a method argument or result.

  Returns:
    The EJB local object currently associated with the instance.
  Throws:
    `java.lang.IllegalStateException` - Thrown if the instance invokes this method while the instance is in a state that does not allow the instance to invoke this method, or if the instance does not have a local interface.

### getEJBObject

    public EJBObject getEJBObject()
                           throws java.lang.IllegalStateException

  Obtain a reference to the EJB object that is currently associated with the instance.

  An instance of a session enterprise Bean can call this method at anytime between the ejbCreate() and ejbRemove() methods, including from within the ejbCreate() and ejbRemove() methods.

  An instance can use this method, for example, when it wants to pass a reference to itself in a method argument or result.

  Returns:
    The EJB object currently associated with the instance.
  Throws:
    `java.lang.IllegalStateException` - Thrown if the instance invokes this method while the instance is in a state that does not allow the instance to invoke this method, or if the instance does not have a remote interface.

### getMessageContext

    public MessageContext getMessageContext()
                                     throws java.lang.IllegalStateException

  Obtain a reference to the JAX-RPC MessageContext.

  An instance of a stateless session bean can call this method from any business method invoked through its web service endpoint interface.

  Returns:
    The MessageContext for this web service invocation.
  Throws:
    `java.lang.IllegalStateException` - Thrown if this method is invoked while the instance is in a state that does not allow access to this method.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.